package com.gic.udesk.dao.mapper;

import com.gic.udesk.entity.TabUdeskTapdRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * udesk和tapd关联字段接口
 * @ClassName: TabUdeskTapdRelMapper 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/18 10:12 AM 
 */
public interface TabUdeskTapdRelMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabUdeskTapdRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabUdeskTapdRel record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabUdeskTapdRel selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabUdeskTapdRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabUdeskTapdRel record);

    /**
     * 查询列
     * @Title: list 
     * @Description:
      * @author guojuxing
     * @param record 
     * @return  java.util.List<com.gic.udesk.entity.TabUdeskTapdRel> 
      */
    List<TabUdeskTapdRel> list(TabUdeskTapdRel record);

    /**
     * 根据项目删除
     * @Title: deleteByWorkspaceId 
     * @Description:
     * @author guojuxing
     * @param relType
     * @param workspaceId 
     * @return  int 
     */
    int deleteByWorkspaceId(@Param("relType") int relType, @Param("workspace_id") String workspaceId);
}